<a href="https://github.com/Aarhus-Psychiatry-Research/psycop-ml-utils"><img src="https://github.com/Aarhus-Psychiatry-Research/psycop-ml-utils/blob/main/docs/_static/icon_with_title.png?raw=true" width="220" align="right" /></a>
# Misc. PSYCOP utilities
If you're looking for feature generation, see [here](https://github.com/Aarhus-Psychiatry-Research/psycop-feature-generation).

Current priorities are on the [Board 🎬](https://github.com/orgs/Aarhus-Psychiatry-Research/projects/4/views/1).

![python versions](https://img.shields.io/badge/Python-%3E=3.10-blue)
[![Code style: black](https://img.shields.io/badge/Code%20Style-Black-black)](https://black.readthedocs.io/en/stable/the_black_code_style/current_style.html)
[![github actions pytest](https://github.com/Aarhus-Psychiatry-Research/psycop-ml-utils/actions/workflows/main_test_and_release.yml/badge.svg)](https://github.com/Aarhus-Psychiatry-Research/psycop-ml-utils/actions)

## 🔧 Installation
To get started using psycop-ml-utils simply install it using pip by running the following line in your terminal:

```
poetry add psycop_ml_utils
```

or using `pip`:

```
pip install psycop_ml_utils
```

For more detailed instructions on installation e.g. including installation for development, see the [installation instructions](https://Aarhus-Psychiatry-Research.github.io/psycop-ml-utils/installation).

## 🎓 Project
PSYCOP projects which use `psycop-ml-utils`.

| Project                | Publications |     |
| -----------------------|----------| ---------------------------------------------------------------------------------- |
| **[Type 2 Diabetes]** |          | Prediction of type 2 diabetes among patients with visits to psychiatric hospital departments |

[Type 2 diabetes]: https://github.com/Aarhus-Psychiatry-Research/psycop-t2d

## 📖 Documentation

| Documentation              |                                                                                    |
| -------------------------- | ---------------------------------------------------------------------------------- |
| 🎛 **[API References]**     | The detailed reference for psycop-ml-utils's API. Including function documentation |
| 🙋 **[FAQ]**                | Frequently asked question                                                          |

[api references]: https://Aarhus-Psychiatry-Research.github.io/psycop-ml-utils/
[FAQ]: https://Aarhus-Psychiatry-Research.github.io/psycop-ml-utils/faq.html

## 💬 Where to ask questions

| Type                           |                        |
| ------------------------------ | ---------------------- |
| 🚨 **Bug Reports**              | [GitHub Issue Tracker] |
| 🎁 **Feature Requests & Ideas** | [GitHub Issue Tracker] |
| 👩‍💻 **Usage Questions**          | [GitHub Discussions]   |
| 🗯 **General Discussion**       | [GitHub Discussions]   |

[github issue tracker]: https://github.com/Aarhus-Psychiatry-Research/psycop-ml-utils/issues
[github discussions]: https://github.com/Aarhus-Psychiatry-Research/psycop-ml-utils/discussions


